"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaterCoolerToggleSwitch = void 0;
class HeaterCoolerToggleSwitch {
    constructor(parent, attribute, displayName) {
        this.parent = parent;
        this.attribute = attribute;
        this.displayName = displayName;
        this.Service = this.parent.platform.api.hap.Service;
        this.Characteristic = this.parent.platform.api.hap.Characteristic;
        this.service = this.parent.accessory.getService(this.displayName) ||
            this.parent.accessory.addService(this.Service.Switch, this.displayName, this.attribute);
        this.service.setCharacteristic(this.Characteristic.Name, this.displayName);
        this.service.getCharacteristic(this.Characteristic.On)
            .on('get', this.getOnHandler.bind(this))
            .on('set', this.setOnHandler.bind(this));
        this.service.addOptionalCharacteristic(this.Characteristic.ConfiguredName);
        this.service.setCharacteristic(this.Characteristic.ConfiguredName, parent.getConfiguredName(this.displayName));
    }
    getOnHandler(callback) {
        this.parent.getCharacteristic(this.attribute, callback);
    }
    setOnHandler(value, callback) {
        this.parent.setCharacteristic(this.attribute, value, callback);
        // this.parent[this.attribute] = value;
        // callback(null);
    }
    update() {
        const value = this.parent[this.attribute];
        this.service.updateCharacteristic(this.Characteristic.On, value);
    }
}
exports.HeaterCoolerToggleSwitch = HeaterCoolerToggleSwitch;
//# sourceMappingURL=HeaterCoolerToggleSwitch.js.map