/// <reference types="node" />
import dgram from 'dgram';
import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic } from 'homebridge';
import { GreeAirConditioner } from './platformAccessory';
import { GreePlatformConfig, LocaleMessages } from './types';
/**
 * HomebridgePlatform
 * This class is the main constructor for your plugin, this is where you should
 * parse the user config and discover/register accessories with Homebridge.
 */
export declare class GreePlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly accessories: any;
    socket: dgram.Socket;
    devices: Record<string, PlatformAccessory>;
    initializedDevices: Record<string, boolean>;
    scanCount: number;
    timer: NodeJS.Timeout | undefined;
    messages: LocaleMessages;
    readonly config: PlatformConfig & GreePlatformConfig;
    constructor(log: Logger, config: PlatformConfig, api: API);
    broadcastScan(): void;
    configureAccessory(accessory: PlatformAccessory): void;
    discoverDevices(): void;
    handleMessage: (msg: any, rinfo: any) => void;
    registerDevice: (deviceInfo: any) => GreeAirConditioner | undefined;
}
//# sourceMappingURL=platform.d.ts.map