"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UDP_SCAN_PORT = exports.DEFAULT_PLATFORM_CONFIG = exports.DEFAULT_DEVICE_CONFIG = exports.PLUGIN_NAME = exports.ACCESSORY_NAME = exports.PLATFORM_NAME = void 0;
const commands_1 = __importDefault(require("./commands"));
/**
 * This is the name of the platform that users will use to register the plugin in the Homebridge config.json
 */
exports.PLATFORM_NAME = 'GreeAirConditioner';
exports.ACCESSORY_NAME = 'AirConditioner';
/**
 * This must match the name of your plugin as defined the package.json
 */
exports.PLUGIN_NAME = 'homebridge-gree-air-conditioner';
exports.DEFAULT_DEVICE_CONFIG = {
    hasFanMode: true,
    hasDryMode: true,
    minimumTargetTemperature: 16,
    maximumTargetTemperature: 30,
    sensorOffset: 40,
    defaultSpeed: commands_1.default.speed.value.medium,
    defaultVerticalSwing: commands_1.default.swingVertical.value.default,
    defaultHorizontalSwing: commands_1.default.swingHorizontal.value.default,
    statusUpdateInterval: 20,
    switches: 'power,verticalSwing,horizontalSwing,quietMode,powerfulMode,light,dryMode,fanMode,sleepMode,xFan',
    subAccessoryPrefix: '',
};
exports.DEFAULT_PLATFORM_CONFIG = {
    name: 'Gree Air Conditioner',
    port: 7002,
    scanCount: 10,
    language: 'zh-CN',
    scanTimeout: 3000,
    scanAddress: '192.168.1.255',
    defaultValue: exports.DEFAULT_DEVICE_CONFIG,
    devices: [],
    logStatus: true,
};
exports.UDP_SCAN_PORT = 7000;
//# sourceMappingURL=settings.js.map